
Infrastructure - Bug #7468

Login on CN-DEV-2 fails with 500 error

2015-11-05 14:56 - Dave Vieglais

Status: Closed Start date: 2015-11-05

Priority: Urgent Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: d1_portal_servlet Estimated time: 0.00 hour

Target version:    

Milestone: CCI-2.0 Story Points:  

Product Version: *   

Description

Attempting to logon to cn-dev-2.test.dataone.org/portal results in a 500 error:

HTTP Status 500 -

type Exception report

message

description The server encountered an internal error () that prevented it from fulfilling this request.

exception

org.apache.jasper.JasperException: An exception occurred processing JSP page /account.jsp at line 277

274:

275:

276:                Email*

277:                ">

278:

279:

280:            

Stacktrace:

org.apache.jasper.servlet.JspServletWrapper.handleJspException(JspServletWrapper.java:568)

org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:470)

org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:390)

org.apache.jasper.servlet.JspServlet.service(JspServlet.java:334)

javax.servlet.http.HttpServlet.service(HttpServlet.java:722)

com.hazelcast.web.WebFilter.doFilter(WebFilter.java:578)

root cause

java.lang.IndexOutOfBoundsException: Index: 0, Size: 0

java.util.ArrayList.rangeCheck(ArrayList.java:635)

java.util.ArrayList.get(ArrayList.java:411)

org.dataone.service.types.v1.Person.getEmail(Person.java:196)

org.apache.jsp.account_jsp._jspService(account_jsp.java:438)

org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:70)

javax.servlet.http.HttpServlet.service(HttpServlet.java:722)

org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:432)

org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:390)

org.apache.jasper.servlet.JspServlet.service(JspServlet.java:334)

javax.servlet.http.HttpServlet.service(HttpServlet.java:722)

com.hazelcast.web.WebFilter.doFilter(WebFilter.java:578)

History

#1 - 2015-11-05 17:49 - Ben Leinfelder

This is because your account does not have an email addressed registered with it. 
#2 - 2016-01-04 19:17 - Ben Leinfelder

- Status changed from New to Closed

- % Done changed from 0 to 100

Added check for null email address (some time ago). Tried this today and it worked as expected.
